# Standard_Character.hxx File Reference

`#include <Standard_ctype.hxx>`
`#include <string.h>`
`#include <Standard_TypeDef.hxx>`

## Functions

__Standard_API Handle_Standard_Type & | Standard_Character_Type_ ()
__Standard_API Standard_Integer | HashCode (const Standard_Character, const Standard_Integer)
Standard_Boolean | IsEqual (const Standard_Character One, const Standard_Character Two)
Standard_Boolean | IsSimilar (const Standard_Character One, const Standard_Character Two)
Standard_Boolean | IsAlphabetic (const Standard_Character me)
Standard_Boolean | IsDigit (const Standard_Character me)
Standard_Boolean | IsXDigit (const Standard_Character me)
Standard_Boolean | IsAlphanumeric (const Standard_Character me)
Standard_Boolean | IsControl (const Standard_Character me)
Standard_Boolean | IsGraphic (const Standard_Character me)
Standard_Boolean | IsLowerCase (const Standard_Character me)
Standard_Boolean | IsPrintable (const Standard_Character me)
Standard_Boolean | IsPunctuation (const Standard_Character me)
Standard_Boolean | IsSpace (const Standard_Character me)
Standard_Boolean | IsUpperCase (const Standard_Character me)
Standard_Character | LowerCase (const Standard_Character me)
Standard_Character | UpperCase (const Standard_Character me)
Standard_Character | ShallowCopy (const Standard_Character me)

## Function Documentation

__Standard_API Standard_Integer HashCode | ( | const | Standard_Character,
|  | const | Standard_Integer
| ) |

Standard_Boolean IsAlphabetic | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsAlphanumeric | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsControl | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsDigit | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsEqual | ( | const Standard_Character | One,
|  | const Standard_Character | Two
| ) | `[inline]`

Standard_Boolean IsGraphic | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsLowerCase | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsPrintable | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsPunctuation | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsSimilar | ( | const Standard_Character | One,
|  | const Standard_Character | Two
| ) | `[inline]`

Standard_Boolean IsSpace | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsUpperCase | ( | const Standard_Character | me | ) | `[inline]`

Standard_Boolean IsXDigit | ( | const Standard_Character | me | ) | `[inline]`

Standard_Character LowerCase | ( | const Standard_Character | me | ) | `[inline]`

Standard_Character ShallowCopy | ( | const Standard_Character | me | ) | `[inline]`

class __Standard_API Handle_Standard_Type& Standard_Character_Type_ | ( |  | ) |

Standard_Character UpperCase | ( | const Standard_Character | me | ) | `[inline]`